@echo off
rem  imp_dump.exe v0.1 Copyright (C) 2008 Nick Rapallo, nrapallo@yahoo.ca
echo imp_dump.pl routine coded by Nick Rapallo (June 2008)  > imp_dump.output.txt
echo based on .imp format examination by Jeffrey Kraus-yao >> imp_dump.output.txt 
echo ===================================================== >> imp_dump.output.txt
echo. >> imp_dump.output.txt
echo Prepare .imp filelist to extract text/images
echo (this recursively goes down into sub-dirs)...
echo. 
dir "*.imp" /s /b > _NRimplist.txt
echo Extract each .imp to it's own directorty using it's filename!
for /f "tokens=*" %%a in (_NRimplist.txt) do echo -"%%a" && imp_dump.exe "%%a" >> imp_dump.output.txt
echo.
del _NRimplist.txt
echo Done!
pause